aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-text-csv_xs/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 07:09:25 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 07:09:25 +0000
commitc5a87fae064aa719785cf32f1eddaba1d9138c18 (patch)
tree789ae4cbd9a7f8be9e05ffd5cdedd62e02cd98e0 /testing/perl-text-csv_xs/APKBUILD
parentace1aac51080102dfd4d0b305aab0735fbd3e83d (diff)
downloadaports-c5a87fae064aa719785cf32f1eddaba1d9138c18.tar.gz
aports-c5a87fae064aa719785cf32f1eddaba1d9138c18.tar.bz2
aports-c5a87fae064aa719785cf32f1eddaba1d9138c18.tar.xz
testing/perl-text-csv_xs: new aport
Diffstat (limited to 'testing/perl-text-csv_xs/APKBUILD')
-rw-r--r--testing/perl-text-csv_xs/APKBUILD33
1 files changed, 17 insertions, 16 deletions
diff --git a/testing/perl-text-csv_xs/APKBUILD b/testing/perl-text-csv_xs/APKBUILD
index 465bf03dbc..67396ec0e7 100644
--- a/testing/perl-text-csv_xs/APKBUILD
+++ b/testing/perl-text-csv_xs/APKBUILD
@@ -3,8 +3,8 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=perl-text-csv_xs
_pkgreal=Text-CSV_XS
-pkgver=1.24
-pkgrel=1
+pkgver=1.25
+pkgrel=0
pkgdesc="Perl module for Text-CSV_XS"
url="http://search.cpan.org/dist/Text-CSV_XS/"
arch="all"
@@ -15,28 +15,29 @@ depends="$cpandepends"
makedepends="perl-dev $cpanmakedepends"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/H/HM/HMBRAND/$_pkgreal-$pkgver.tgz"
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
- cd "$_builddir"
- if [ -e Build.PL ]; then
- perl Build.PL installdirs=vendor || return 1
- else
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
- fi
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
}
build() {
- cd "$_builddir"
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
make && make test
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
- find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="e990e7408c3df0a3d61c908faee0004d Text-CSV_XS-1.24.tgz"
-sha256sums="230c2bd11a409bcc3446ce6097080927dead7206c92a7a84fab5dd192f85e8a1 Text-CSV_XS-1.24.tgz"
-sha512sums="136ca1c688b597b3cdd2e15c44ae1805c027f530d12eb1f3020fb0b1c258c477cede3bf4b1adc7c530f132cc281ec0dbb1188f9c53afda385632106b487f87c2 Text-CSV_XS-1.24.tgz"
+
+md5sums="2b3fbdf630926d48f016900c84d27148 Text-CSV_XS-1.25.tgz"
+sha256sums="b3742f3ed7361f2215baec3b807e16ee16ef0d0166c2359e78802e9ef172f41b Text-CSV_XS-1.25.tgz"
+sha512sums="768c9b5795efb0902bb47e66132cdffbfcf1cfefb961387afbc089025381af69a6ac08b390f78221de9e8e19e25ce066f774f2fc6bd034ea0cd9949b744e65f8 Text-CSV_XS-1.25.tgz"